/*
 * JBoss, Home of Professional Open Source
 * Copyright 2006, JBoss Inc., and others contributors as indicated 
 * by the @authors tag. All rights reserved. 
 * See the copyright.txt in the distribution for a
 * full listing of individual contributors. 
 * This copyrighted material is made available to anyone wishing to use,
 * modify, copy, or redistribute it subject to the terms and conditions
 * of the GNU Lesser General Public License, v. 2.1.
 * This program is distributed in the hope that it will be useful, but WITHOUT A 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License,
 * v.2.1 along with this distribution; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
 * MA  02110-1301, USA.
 * 
 * (C) 2005-2006,
 * @author JBoss Inc.
 */
package org.jboss.soa.esb.qa.performance.plain_ws;

import javax.jws.WebMethod;
import javax.jws.WebService;
import javax.jws.WebParam;
import javax.ejb.Stateless;

@WebService(name = "HelloWorld", targetNamespace = "http://plain_ws.helloworld")
@Stateless
public class HelloWorldWS {
	@WebMethod(action="sayHello")
	public String sayHello(@WebParam(name = "toWhom") String toWhom) {

		String greeting = "Echo: " + toWhom;
		return greeting;

	}

	@WebMethod(action="sayHello1s")
	public String sayHello1s(@WebParam(name = "toWhom") String toWhom) {
		try {
			Thread.sleep(1000);
		} catch (InterruptedException e) {
			// bad things happen
		}
		String greeting = "Echo: " + toWhom;
		return greeting;

	}

	@WebMethod(action="sayHello2s")
	public String sayHello2s(@WebParam(name = "toWhom") String toWhom) {
		try {
			Thread.sleep(2000);
		} catch (InterruptedException e) {
			// bad things happen
		}
		String greeting = "Echo: " + toWhom;
		return greeting;

	}
}
